default:
  image: node

cache:
  paths:
    - node_modules/

stages:
  - install
  - lint
  - build
  - deploy

install:
  stage: install
  script:
    - npm install --unsafe-perm=true --allow-root

lint:
  stage: lint
  script:
    - npm run lint

build:
  stage: build
  script:
    - npm run build

deploy:
  stage: deploy
  script:
    - echo "Deploy app here"